Mailinglist Archive: opensuse-project (35 mails)

< Previous Next >
Re: [opensuse-project] Re: [opensuse-factory] openSUSE Leap's Next Major Version Number
On 2017-04-24 09:31, Richard Brown wrote:
On 24 April 2017 at 07:16, Neal Gompa <ngompa13@xxxxxxxxx> wrote:
On Sat, Apr 22, 2017 at 7:37 AM, Richard Brown <RBrownCCB@xxxxxxxxxxxx>
wrote:
There are only a few packages in our distribution that reference the
42.x versioning, and they should be easily handled as part of a zypper
dup, so we are not concerned about this decision impacting users
upgrading.


This statement concerns me more than anything else. What about all the
people who build solutions around openSUSE or for it? We *just*
managed to figure out the new mess that is SUSE versioning, and now
you want to break us again?

The number of conditionals I need for supporting the SUSE platform
keeps growing with each release, and that's extremely aggravating.

Yes, I understand that, but one of the benefits of this change means
you'll be able to get rid of some of those conditionals when Leap 42.3
reaches end of life, as opposed to needing to keep conditionals around
for 4x.y forever

No, externals have to consider old versions for many years. There are
people still using 10.3, for instance. Some one might try to install
Chrome on 42.3 and the script think it is more recent than 18.2

--
Cheers / Saludos,

Carlos E. R.
(from 42.2 x86_64 "Malachite" at Telcontar)

< Previous Next >
Follow Ups